[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TIPCServerComm.StartServer

Start the server-side of the communication channel

## Declaration

Source position: simpleipc.pp line 54

`public procedure TIPCServerComm.StartServer; virtual; abstract;`

## Description

StartServer sets up the server-side of the communication channel. After StartServer was called, a client can connect to the communication channel, and send messages to the server.

It is called when the TSimpleIPC.Active property of the TSimpleIPCServer instance is set to True.

## Errors

In case of an error, an EIPCError exception is raised.

## See also

TSimpleIPCServer |  | Simple IPC server component
TSimpleIPC.Active |  | Communication channel active

The latest version of this document can be found at lazarus-ccr.sourceforge.net .